:root {
    --zf-black-1: #01121c;
    --zf-negro-1: #000000;
    --zf-naranja-1: #EB6F15;
    --zf-naranja-1_ant: #EB812D;
    --zf-txt-SobreNegro: #dedad3;
    --zf-txt-SobreClaro: var(--zf-negro-1);
    --zf-txt-BLANCO: var(--zf-blanco-1);
    --zf-orange-1_opacity: #eb812d7a;
    --zf-naranja-2: #f3b381;
    --verde: #4CAF50;
    --zf-gris-1: #494949;
    --zf-gris-2: #352F2F;
    --zf-gris-3: #495569;


    --zf-gris-WIN-Heat: #e3eaf2;
    --zf-gris-dialog-body: #e3eaf2;
    --zf-blanco-1: #F1EFEC;
    --font-primary: 'Inter', 'Source Sans Pro', Helvetica, Arial, sans-serif;
    --font-monospace: 'SFMono-Regular', Menlo, Monaco, Consolas, 'Liberation Mono', 'Courier New', monospace;
    --zf-black-4:   #21263c;
    --bb-ColorBar: #000000;
    --bs-body-bg: #352f2f;
    --font-monospace: 'SFMono-Regular', Menlo, Monaco, Consolas, 'Liberation Mono', 'Courier New',  monospace;
}

.divCaptach {
    display: flex;
    flex-wrap: nowrap;
}

.btn-refresh {
    border: none;
    height: 30px;
    align-self: center;
    margin-left: 3px;
    border-radius: 4px;
    cursor: pointer;
    background: url(data:image/svg+xml;base64,PD94bWwgdmVyc2lvbj0iMS4wIiBlbmNvZGluZz0idXRmLTgiPz4NCjwhRE9DVFlQRSBzdmcgUFVCTElDICItLy9XM0MvL0RURCBTVkcgMS4xLy9FTiIgImh0dHA6Ly93d3cudzMub3JnL0dyYXBoaWNzL1NWRy8xLjEvRFREL3N2ZzExLmR0ZCI+DQo8c3ZnIHZlcnNpb249IjEuMSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIiB4bWxuczp4bGluaz0iaHR0cDovL3d3dy53My5vcmcvMTk5OS94bGluayIgeD0iMHB4IiB5PSIwcHgiIHZpZXdCb3g9IjAgMCAxMDAwIDEwMDAiIGVuYWJsZS1iYWNrZ3JvdW5kPSJuZXcgMCAwIDEwMDAgMTAwMCIgeG1sOnNwYWNlPSJwcmVzZXJ2ZSI+DQo8Zz48Zz48ZyBpZD0icmVmcmVzaCI+PHBhdGggZD0iTTg0MywxNTdDNzU3LjIsNjUuMSw2MzQuNywxMCw1MDAsMTBDMjMwLjUsMTAsMTAsMjMwLjUsMTAsNTAwYzAsMjY5LjUsMjIwLjUsNDkwLDQ5MCw0OTBjMjI2LjYsMCw0MTYuNS0xNTkuMyw0NzEuNi0zNjcuNUg4NDNjLTQ5LDE0MC45LTE4My44LDI0NS0zNDMsMjQ1Yy0yMDIuMSwwLTM2Ny41LTE2NS40LTM2Ny41LTM2Ny41YzAtMjAyLjEsMTY1LjQtMzY3LjUsMzY3LjUtMzY3LjVjMTA0LjEsMCwxODkuOSw0Mi45LDI1Ny4yLDExMC4ybC0xOTYsMTk2SDk5MFYxMEw4NDMsMTU3eiIvPjwvZz48L2c+PGc+PC9nPjxnPjwvZz48Zz48L2c+PGc+PC9nPjxnPjwvZz48Zz48L2c+PGc+PC9nPjxnPjwvZz48Zz48L2c+PGc+PC9nPjxnPjwvZz48Zz48L2c+PGc+PC9nPjxnPjwvZz48Zz48L2c+PC9nPg0KPC9zdmc+) no-repeat, #cacaca;
    background-position-y: center;
    background-position-x: center;
    background-size: 70%;
    width: 30px;
}

.button_acept {
    --bs-btn-color: #fff;
    --bs-btn-bg: var(--zf-naranja-1);
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: var(--zf-naranja-1);
    --bs-btn-hover-border-color: var(--zf-naranja-2);
    --bs-btn-focus-shadow-rgb: 60, 153, 110;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: var(--zf-naranja-1);
    --bs-btn-active-border-color: var(--zf-naranja-1);
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #fff;
    --bs-btn-disabled-bg: var(--zf-naranja-1);
    --bs-btn-disabled-border-color: var(--zf-naranja-1);
}

html, body {
    background: var(--zf-black-1);
    margin: 0;
    padding: 0;
    height: 100vh;
    font-family: var(--font-primary);
}

h1:focus {
    outline: none;
}

a, .btn-link {
    color: #0071c1;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

.content {
    padding-top: 1.1rem;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

/* REGIÓN LOGIN MOBIL */

.login-container {
    height: 100vh;
    background: var(--zf-negro-1);
}

.button_login {
    
    --bs-btn-color: #fff;
    --bs-btn-bg: var(--zf-naranja-1);
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: var(--zf-naranja-1);
    --bs-btn-hover-border-color: var(--zf-naranja-2);
    --bs-btn-focus-shadow-rgb: 60, 153, 110;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: var(--zf-naranja-1);
    --bs-btn-active-border-color: var(--zf-naranja-1);
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #fff;
    --bs-btn-disabled-bg: var(--zf-naranja-1);
    --bs-btn-disabled-border-color: var(--zf-naranja-1);
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    width: 100%;
}

.card_login {
    background: var(--zf-negro-1);
    width: 100%;
    height: 100%;
}

.card {
    background: var(--zf-negro-1);
    width: 100%;
    height: 100%;
}

.card-body {
    padding: var(--bs-card-spacer-y) var(--bs-card-spacer-x);
    color: var(--bs-card-color);
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items:  center;
        
}

/* REGIÓN LOGIN MOBIL*/





@media (max-width: 640.98px) {

}

@media (min-width: 641px) {
    .nav-scrollable {
        height: calc(100vh - 2.5rem) !important;
        overflow-y: auto;
        border-right: 1px solid var(--bb-sidebar2-content-border-color) !important;
    }
   
}